#ifndef CONNECTIVITYMANAGER_H
#define CONNECTIVITYMANAGER_H

#include <ESP8266WiFi.h>
#include "SDCardManager.h"
#include "CFGFileParser.h"
#include "CFGDictionary.h"
#include "definition.h"

class ConnectivityManager : public ESP8266WiFiClass
{
  friend class SAB;
  public:
    boolean enableSTAAndAP(boolean enable);

    unsigned char getError() const;
  protected:
    ConnectivityManager();
    ConnectivityManager(SDCardManager *sdCardManager);
  private:
    unsigned char _error;
    SDCardManager *_sdCardManager;
};

#endif //CONNECTIVITYMANAGER_H
